@import '../../../../assets/styles/common.scss';

.orbitracker-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;

    &-description {
        width: 50%;
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;

        &:not(:last-child) {
            border-right: 1px solid white;
        }

        &-status {
            color: hsl(0, 0%, 83%);
        }

        &-item {
            height: 54px;
            display: flex;
            padding: 0px 15px; 
            align-items: center;
            flex-direction: row;
            justify-content: space-between;
            background-color: rgba($bgColor, 0.05);

            &-title {
                width: 150px;
                font-size: 16px;
                font-weight: bold;
            }

            &-content {
                height: 70%;
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-end;
                width: calc(100% - 175px);

                &-label {
                    height: 100%;
                    width: 120px;
                    font-size: 16px;
                    overflow: hidden;
                    font-weight: bold;
                    text-align: right;
                    white-space: nowrap;
                    display: inline-block;
                    text-overflow: ellipsis;
                    margin: 0px 0px 0px 8px;
                    padding: 6px 10px 6px 8px;
                    background-color: white;
                }

                svg {
                    font-size: 28px;
                    margin: 0px 6px;
                }
            }

            &:not(:last-child) {
                border-bottom: 1px solid white;
            }
        }
    }
}


@media screen and (max-width: 1024px) {
    .orbitracker-container {
        &-description {
            width: 100%;
        }
    }
}
